This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1285494 - openstack-packstack-7.0.0-0.5.dev1661.gaf13b7e.el7.noarch cripples(?) httpd.conf [NEEDINFO]
openstack-packstack-7.0.0-0.5.dev1661.gaf13b7e.el7.noarch cripples(?) httpd.conf
Status: CLOSED INSUFFICIENT_DATA
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
Liberty
x86_64 Linux
unspecified Severity urgent
: ---
: Liberty
Assigned To: Alfredo Moralejo
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 13:13 EST by lejeczek
Modified: 2017-06-18 03:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-18 03:00:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amoralej: needinfo? (peljasz)


Attachments (Terms of Use)

  None (edit)
Description lejeczek 2015-11-25 13:13:42 EST
Description of problem:

seems that openstack-packstack-7.0.0-0.5.dev1661.gaf13b7e.el7.noarch which fixes:

https://bugzilla.redhat.com/show_bug.cgi?id=1284978

(cannot tell if earlier versions also)

fails:

ERROR : Error appeared during Puppet run: 192.168.10.19_keystone.pp
Error: Could not start Service[httpd]: Execution of '/usr/bin/systemctl start httpd' returned 1: Job for httpd.service failed. See 'systemctl status httpd.service' and 'journalctl -xn' for details.
You will find full trace in log /var/tmp/packstack/20151125-153651-JxjDdw/manifests/192.168.10.19_keystone.pp.log

which seems to be caused by lack of an inclusion of modules configs in httpd configuration. Something like:

Include conf.modules.d/*.conf


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Alfredo Moralejo 2016-05-19 10:46:20 EDT
Could you provide additional details about this issue?. Does it work with a newer version?  

Please, provide answer file (by default /root/packstack-answers-<date>-<time>-txt) and 192.168.10.19_keystone.pp.log.

Note You need to log in before you can comment on or make changes to this bug.